Summary: 	The generic X server for video hardware found in Power Macs.
Name: 		XFree86-Xpmac
%define 	version 3.3.6
Version: 	%{version}
Release: 	4mdk
License: 	MIT
Group: 		System/XFree86
Source: 	XFree86-Xpmac-3.3.6.tar.bz2
Requires: 	XFree86 >= 3.3.6
Requires: 	XFree86-xfs
ExclusiveArch:  ppc
BuildRoot:  	%{_tmppath}/%{name}-%{version}-root
Provides: 	Xpmac
URL: 		http://www.xfree86.org/

%description
This is the generic X server for the video hardware found in all
Power Macs.

%prep

%setup

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m 755 Xpmac $RPM_BUILD_ROOT/usr/X11R6/bin/Xpmac
install -m 4755 Xpmac.bin $RPM_BUILD_ROOT/usr/X11R6/bin/Xpmac.bin
install -m 644 Xpmac.1x.bz2 $RPM_BUILD_ROOT/usr/X11R6/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post
rm /etc/X11/X
ln -s /usr/X11R6/bin/Xpmac /etc/X11/X
perl -pi -e 's|//    <RTSH>|    <RTSH>|' /usr/X11R6/lib/X11/xkb/keycodes/macintosh
perl -pi -e 's|//    <RCTL>|    <RCTL>|' /usr/X11R6/lib/X11/xkb/keycodes/macintosh

%postun
rm /etc/X11/X
ln -s /usr/X11R6/bin/XFree86 /etc/X11/X
perl -pi -e 's|    <RTSH>|//    <RTSH>|' /usr/X11R6/lib/X11/xkb/keycodes/macintosh
perl -pi -e 's|    <RCTL>|//    <RCTL>|' /usr/X11R6/lib/X11/xkb/keycodes/macintosh

%files
%defattr(-,root,root)
/usr/X11R6/bin/Xpmac
/usr/X11R6/bin/Xpmac.bin
/usr/X11R6/man/man1/Xpmac.1x.bz2

%changelog
* Thu Jan 16 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.6-4mdk
- rebuild for glibc/rpm

* Fri Jun  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.6-3mdk
- rpmlint: URL

* Thu May 31 2001 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.6-2mdk
- add wrapper script to set video mode, symlink to /etc/X11/X

* Tue May 15 2001 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.6-1mdk
- binary-only RPM - fallback X server for PPC


